# Class ProxyAuthenticator

java.lang.Object
java.net.Authenticator
org.apache.jmeter.ProxyAuthenticator

public class ProxyAuthenticator extends Authenticator
Provides JMeter the ability to use proxy servers that require username and password.

Version:
  $Revision: 937726 $

## Nested Class Summary

### Nested classes/interfaces inherited from class Authenticator

`Authenticator.RequestorType`

## Constructor Summary

Constructors
Constructor
Description
`ProxyAuthenticator(String userName, String password)`
Create a ProxyAuthenticator with the specified username and password.

## Method Summary

Modifier and Type
Method
Description
`protected PasswordAuthentication`
`getPasswordAuthentication()`
Return a PasswordAuthentication instance using the userName and password specified in the constructor.

### Methods inherited from class Authenticator

`getDefault, getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthenticationInstance, setDefault`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyAuthenticator

public ProxyAuthenticator(String userName, String password)
Create a ProxyAuthenticator with the specified username and password.

Parameters:
  `userName` - the username to authenticate with
  `password` - the password to authenticate with

## Method Details

### getPasswordAuthentication

protected PasswordAuthentication getPasswordAuthentication()
Return a PasswordAuthentication instance using the userName and password specified in the constructor. Only applies to PROXY request types.

Overrides:
  `getPasswordAuthentication` in class `Authenticator`
Returns:
  a PasswordAuthentication instance to use for authenticating with the proxy